
package ru.yandex.autotests.direct.fakebsproxy.beans.moderate;

import com.google.gson.annotations.SerializedName;
import ru.yandex.autotests.direct.fakebsproxy.beans.BaseBean;

import java.util.List;

public class MagicQueueResponse extends BaseBean<MagicQueueResponse> {

    @SerializedName("jsonrpc")
    private String jsonrpc;
    @SerializedName("id")
    private Long id;
    @SerializedName("result")
    private List<Long> result;

    public String getJsonrpc() {
        return jsonrpc;
    }

    public void setJsonrpc(String jsonrpc) {
        this.jsonrpc = jsonrpc;
    }

    public MagicQueueResponse withJsonrpc(String jsonrpc) {
        this.jsonrpc = jsonrpc;
        return this;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public MagicQueueResponse withId(Long id) {
        this.id = id;
        return this;
    }

    public List<Long> getResult() {
        return result;
    }

    public void setResult(List<Long> result) {
        this.result = result;
    }

    public MagicQueueResponse withResult(List<Long> result) {
        this.result = result;
        return this;
    }
}
